org.eclipse.wst.jsdt.ui.wizards

## Interface IJsGlobalScopeContainerPageExtension

All Known Implementing Classes:
  BaseLibraryWizardPage

    public interface IJsGlobalScopeContainerPageExtension

Classpath container pages that implement `IJsGlobalScopeContainerPage` can optionally implement `IJsGlobalScopeContainerPageExtension` to get additional information about the context when the page is opened. Method `initialize()` is called before `IJsGlobalScopeContainerPage.setSelection`. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initialize(IJavaScriptProject project, IIncludePathEntry[] currentEntries)` Method `initialize()` is called before `IJsGlobalScopeContainerPage.setSelection` to give additional information about the context the classpath container entry is configured in.

### Method Detail

#### initialize

    void initialize(IJavaScriptProject project,
                    IIncludePathEntry[] currentEntries)

Method `initialize()` is called before `IJsGlobalScopeContainerPage.setSelection` to give additional information about the context the classpath container entry is configured in. This information only reflects the underlying dialogs current selection state. The user still can make changes after the the classpath container pages has been closed or decide to cancel the operation.

Parameters:
  `project` - The project the new or modified entry is added to. The project does not have to exist. Project can be `null`.
  `currentEntries` - The class path entries currently selected to be set as the projects classpath. This can also include the entry to be edited.